| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/alignedalloc.h File Reference

Aligned memory allocations. More...

Go to the source code of this file.

## Namespaces
namespace | CS
namespace | CS::Memory
## Functions
void | CS::Memory::AlignedFree (void *ptr)
| Free a block of memory allocated with AlignedMalloc.
void * | CS::Memory::AlignedMalloc (size_t size, size_t align)
| Allocate a block of memory, with the start address being aligned to a multiple of `align` bytes.
void * | CS::Memory::AlignedRealloc (void *ptr, size_t size, size_t align)
| Reallocate a block of memory with a new size, with the start address being aligned to a multiple of `align` bytes.

## Detailed Description

Aligned memory allocations.

Definition in file alignedalloc.h.